Validate PDF form fields in JavaScript PDF Viewer

16 Feb 20263 minutes to read

The Syncfusion JavaScript PDF Viewer provides built-in support for validating form fields before users perform actions such as printing, downloading, or submitting a PDF document. Validation ensures that required form fields are completed before allowing these actions to proceed and improves the reliability of collected data.

How PDF Form Validation Works

Form field validation follows this flow:

When validation is enabled and a user attempts to print, download, or submit the document:

  • The validateFormFields event is triggered.
  • Unfilled required fields are listed in args.formField (or args.nonFillableFields in some viewer versions).
  • Cancel the action, show an error message, or move focus to an invalid field.

Enable PDF Form Field Validation

To enable validation, set the enableFormFieldsValidation property to true and wire the validateFormFields event.

// 1) Default for new Textbox fields
pdfviewer.textFieldSettings = { isRequired: true };

// 2) Validation wiring
pdfviewer.enableFormFieldsValidation = true;
pdfviewer.validateFormFields = (args: any) => {
  // Triggers when required fields are empty on submit/validate
  if (args && args.formField && args.formField.length > 0) {
    alert('Please fill all required fields. Missing: ' + args.formField[0].name);
  }
};

// 3) Creation (add a Textbox form field once the document is loaded)
pdfviewer.documentLoad = () => {
  pdfviewer.formDesignerModule.addFormField('Textbox', {
    name: 'Email',
    bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
    isRequired: true,
    tooltip: 'Email is required'
  } as TextFieldSettings);
};

// Mount the viewer
pdfviewer.appendTo('#pdfViewer'); // Ensure an element with id="pdfViewer" exists in your HTML

Mark Fields as Required

Only fields marked as required participate in validation. Use the isRequired property when creating or updating a form field.

// Creation of a required textbox (inside documentLoad) that blocks printing until it is filled.
pdfviewer.formDesignerModule.addFormField('Textbox', {
  name: 'Email',
  bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
  isRequired: true,
  tooltip: 'Email is required'
} as TextFieldSettings);

Handle PDF Form Validation Results

In the validateFormFields event, you can control the behavior when fields are missing. Typical actions include:

  • Cancel the print or download operation
  • Display an error message to the user
  • Set focus to the first unfilled required field
pdfviewer.enableFormFieldsValidation = true;
pdfviewer.validateFormFields = (args: any) => {
  if (args && args.formField && args.formField.length > 0) {
    // Example: prevent the pending action and notify the user
    args.cancel = true;
    alert('Please fill all required fields. Missing: ' + args.formField[0].name);
    // Optionally focus or scroll to the field
  }
};

Tips

  • Use isRequired to clearly mark mandatory fields.
  • Validation is triggered only during print, download, or submit actions.
  • For custom validation logic (such as validating an email format):
    • Retrieve all form fields using retrieveFormFields().
    • Apply custom checks before allowing the action to proceed.

See Also

Validate PDF Form Fields in React PDF Viewer

24 Jun 20267 minutes to read

The React PDF Viewer provides built-in support for validating form fields before users perform actions such as printing, downloading, or submitting a PDF document. Validation ensures that required form fields are completed before allowing these actions. This improves data completeness and reliability.

How PDF Form Validation Works

Form field validation follows this flow:

  • Enable validation using the enableFormFieldsValidation property.
  • Handle the validateFormFields event to determine which required fields are not filled.
  • When validation is enabled and a user attempts to print, download, or submit the document:
    • The validateFormFields event is triggered.
    • Unfilled required fields are provided in the event arguments (typically as args.formField; older versions may use args.nonFillableFields).
    • You can cancel the action, show an error message, or move focus to an invalid field.

Enable PDF Form Field Validation

To enable validation, set the enableFormFieldsValidation property to true and wire the validateFormFields event.

import * as ReactDOM from 'react-dom/client';
import * as React from 'react';
import './index.css';

import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  LinkAnnotation,
  BookmarkView,
  ThumbnailView,
  TextSelection,
  TextSearch,
  Print,
  Annotation,
  FormDesigner,
  FormFields,
  Inject
} from '@syncfusion/ej2-react-pdfviewer';

function App() {
  const viewerRef = React.useRef(null);

  // 1) Default for new Textbox fields: isRequired = true
  React.useEffect(() => {
    const viewer = viewerRef.current;
    if (viewer) {
      viewer.textFieldSettings = { isRequired: true };
    }
  }, []);

  // 2) Validation wiring
  const handleValidateFormFields = (args) => {
    // Triggers when required fields are empty on submit/validate
    if (args && args.formField && args.formField.length > 0) {
      alert('Please fill all required fields. Missing: ' + args.formField[0].name);
      // If you want to prevent submission:
      // args.isFormSubmitCancelled = true;
    }
  };

  // 3) Add a Textbox on document load
  const handleDocumentLoad = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    viewer.formDesignerModule.addFormField('Textbox', {
      name: 'Email',
      bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
      isRequired: true,
      tooltip: 'Email is required'
    });
  };

  return (
    <div className="control-section">
      <PdfViewerComponent
        ref={viewerRef}
        id="pdfViewer"
        documentPath="https://cdn.syncfusion.com/content/pdf/form-designer.pdf"
        resourceUrl="https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib"
        enableFormFieldsValidation={true}
        validateFormFields={handleValidateFormFields}
        documentLoad={handleDocumentLoad}
        style=
      >
        <Inject
          services={[
            Toolbar,
            Magnification,
            Navigation,
            LinkAnnotation,
            BookmarkView,
            ThumbnailView,
            TextSelection,
            TextSearch,
            Print,
            Annotation,
            FormDesigner,
            FormFields
          ]}
        />
      </PdfViewerComponent>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

Mark Fields as Required

Only fields marked as required participate in validation. Use the isRequired property when creating or updating a form field.

const handleDocumentLoad = () => {
  const viewer = viewerRef.current;
  if (!viewer) return;

  // Creation of a required textbox that blocks printing until filled
  viewer.formDesignerModule.addFormField('Textbox', {
    name: 'Email',
    bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
    isRequired: true,
    tooltip: 'Email is required'
  });
};

Handle PDF Form Validation Results

In the validateFormFields event, you can control the behavior when fields are missing. Typical actions include:

  • Cancel the print or download operation
  • Display an error message to the user
  • Set focus to the first unfilled required field
// 1) Define the handler in your React component
const handleValidateFormFields = (args) => {
  if (args && args.formField && args.formField.length > 0) {
    // Prevent the pending action (submit/print/etc.)
    args.cancel = true;
    alert('Please fill all required fields. Missing: ' + args.formField[0].name);
    // Optionally: focus/scroll to the field here if needed
  }
};

Tips

  • Use isRequired to clearly mark mandatory fields.
  • Validation is triggered only during print, download, or submit actions.
  • For custom validation logic (such as validating an email format):
    • Retrieve all form fields using retrieveFormFields().
    • Apply custom checks before allowing the action to proceed.

See Also

Validate PDF Form Fields in Vue PDF Viewer

28 Feb 20265 minutes to read

The Syncfusion Vue PDF Viewer provides built-in support for validating form fields before end users perform actions such as printing, downloading, or submitting a PDF document. Validation ensures that all required form fields are completed before allowing these actions to proceed.

How PDF Form Validation Works

Form field validation follows this flow:

  • Enable validation using the enableFormFieldsValidation property.
  • Handle the validateFormFields event to determine which required fields are not filled.
  • When validation is enabled and an end user attempts to print, download, or submit the document:
  • The validateFormFields event is triggered.
  • Unfilled required fields are listed in args.nonFillableFields.
  • The application can cancel the action, display an error message, or move focus to an invalid field.

Enable PDF Form Field Validation

Enable validation by setting the enableFormFieldsValidation property to true and handling the validateFormFields event.

<template>
  <div id="app">
    <ejs-pdfviewer
      id="pdfViewer"
      ref="pdfviewer"
      :documentPath="documentPath"
      :resourceUrl="resourceUrl"
      style="height: 640px"
      @documentLoad="onDocumentLoad"
    />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  name: 'App',
  components: {
    'ejs-pdfviewer': PdfViewerComponent,
  },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  provide: {
    PdfViewer: [
      Toolbar,
      Magnification,
      Navigation,
      Annotation,
      TextSelection,
      TextSearch,
      FormFields,
      FormDesigner,
      PageOrganizer,
    ],
  },
  methods: {
    onDocumentLoad() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;

      // 1) Default for new Textbox fields
      pdfviewer.textFieldSettings = { isRequired: true };

      // 2) Validation wiring
      pdfviewer.enableFormFieldsValidation = true;
      pdfviewer.validateFormFields = (args) => {
        // Triggers when required fields are empty on submit/validate
        if (args && args.formField && args.formField.length > 0) {
          alert('Please fill all required fields. Missing: ' + args.formField[0].name);
        }
      };

      // 3) Creation (add a Textbox form field)
      pdfviewer.formDesignerModule.addFormField('Textbox', {
        name: 'Email',
        bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
        isRequired: true,
        tooltip: 'Email is required',
      });
    },
  },
};
</script>

Mark Fields as Required

Only fields marked as required participate in validation. Use the isRequired property when creating or updating a form field.

// (inside your `onDocumentLoad` method)
const pdfviewer = this.$refs.pdfviewer.ej2Instances;
pdfviewer.formDesignerModule.addFormField('Textbox', {
  name: 'Email',
  bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
  isRequired: true,
  tooltip: 'Email is required',
});

Handle PDF Form Validation Results

In the validateFormFields event, the application can control the behavior when fields are missing. Typical actions include:

  • Cancel the print or download operation
  • Display an error message to the end user
  • Set focus to the first unfilled required field
// (inside your `onDocumentLoad` or mounted handler)
const pdfviewer = this.$refs.pdfviewer.ej2Instances;
pdfviewer.enableFormFieldsValidation = true;
pdfviewer.validateFormFields = (args) => {
  if (args && args.formField && args.formField.length > 0) {
    // Example: prevent the pending action and notify the end user
    args.cancel = true;
    alert('Please fill all required fields. Missing: ' + args.formField[0].name);
    // Optionally focus or scroll to the field
  }
};

Tips

  • Use isRequired to clearly mark mandatory fields.
  • Validation is triggered only during print, download, or submit actions.
  • For custom validation logic (such as validating an email format):
    • Retrieve all form fields using retrieveFormFields().
    • Apply custom checks before allowing the action to proceed.

See Also

Validate PDF Form Fields in Angular PDF Viewer

11 Feb 20266 minutes to read

The Syncfusion Angular PDF Viewer provides built-in support for validating form fields before end users perform actions such as printing, downloading, or submitting a PDF document. Validation ensures that all required form fields are completed before allowing these actions to proceed.
This feature helps enforce data completeness and improves the reliability of collected form data.

How PDF Form Validation Works

Form field validation follows this flow:

  • Enable validation using the enableFormFieldsValidation property.
  • Handle the validateFormFields event to determine which required fields are not filled.
  • When validation is enabled and an end user attempts to print, download, or submit the document:
  • The validateFormFields event is triggered.
  • Unfilled required fields are listed in args.nonFillableFields.
  • The application can cancel the action, display an error message, or move focus to an invalid field.

Enable PDF Form Field Validation

Enable validation by setting the enableFormFieldsValidation property to true and handling the validateFormFields event.

import { Component, OnInit, ViewChild } from '@angular/core';
import {
  PdfViewerModule,
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerComponent,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer
        #pdfViewer
        id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        [enableFormFieldsValidation]="true"
        [textFieldSettings]="textFieldSettings"
        (documentLoad)="documentLoad()"
        (validateFormFields)="onValidateFormFields($event)"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent implements OnInit {
  @ViewChild('pdfViewer') public pdfviewer: PdfViewerComponent;
  public document: string = '';
  public resourceUrl: string =
    'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  public textFieldSettings: any = { isRequired: true };

  ngOnInit(): void {
    this.document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  }

  documentLoad(): void {
    // Add a required textbox once the document is loaded
    this.pdfviewer.formDesignerModule.addFormField('Textbox', {
      name: 'Email',
      bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
      isRequired: true,
      tooltip: 'Email is required',
    } as any);
  }

  onValidateFormFields(args: any): void {
    // Triggers when required fields are empty on submit/validate
    if (args && args.formField && args.formField.length > 0) {
      // Example: prevent the pending action and notify the end user
      args.cancel = true;
      alert('Please fill all required fields. Missing: ' + args.formField[0].name);
    }
  }
}

Mark Fields as Required

Only fields marked as required participate in validation. Use the isRequired property when creating or updating a form field.

// Creation of a required textbox (inside documentLoad) that blocks printing until it is filled.
this.pdfviewer.formDesignerModule.addFormField('Textbox', {
  name: 'Email',
  bounds: { X: 146, Y: 260, Width: 220, Height: 24 },
  isRequired: true,
  tooltip: 'Email is required'
} as any);

Handle PDF Form Validation Results

In the validateFormFields event, the application can control the behavior when fields are missing. Typical actions include:

  • Cancel the print or download operation
  • Display an error message to the end user
  • Set focus to the first unfilled required field
// Enable validation and handle the validateFormFields event in Angular
this.pdfviewer.enableFormFieldsValidation = true;
// Handler runs when required fields are missing; set args.cancel = true to prevent the action
onValidate(args: any): void {
  if (args && args.formField && args.formField.length > 0) {
    args.cancel = true;
    alert('Please fill all required fields. Missing: ' + args.formField[0].name);
  }
}

Tips

  • Use isRequired to clearly mark mandatory fields.
  • Validation is triggered only during print, download, or submit actions.
  • For custom validation logic (such as validating an email format):
    • Retrieve all form fields using retrieveFormFields().
    • Apply custom checks before allowing the action to proceed.

See Also